package de.fhhannover.inform.trust.ifmapj.binding.dom;

class XmlAttribute {
	
	private final String mName;
	private final String mValue;
	
	XmlAttribute(String name, String value) {
		
		if (name == null || value == null)
			throw new NullPointerException("only non null values allowed");
		
		mName = name;
		mValue = value;
		
	}

	String getValue() {
		return mValue;
	}

	String getName() {
		return mName;
	}
}
