package de.fhhannover.inform.trust.ifmapj.exception;

/**
 * Possible values used for the errorCode attribute in the ErrorResultType.
 * 
 * This was taken from the irond implementation.
 * 
 * @author aw
 */
public enum IfmapErrorCode {
		AccessDenied,
		Failure,
		InvalidIdentifier,
		InvalidIdentifierType,
		IdentifierTooLong,
		InvalidMetadata,
		InvalidSchemaVersion,
		InvalidSessionID,
		MetadataTooLong,
		SearchResultsTooBig,
		PollResultsTooBig,
		SystemError
}
