package de.fhhannover.inform.trust.ifmapj.result;

import static org.junit.Assert.assertNotNull;

import java.util.LinkedList;

import org.junit.Test;

import de.fhhannover.inform.trust.ifmapj.exception.IfmapErrorResult;
import de.fhhannover.inform.trust.ifmapj.messages.PollResult;
import de.fhhannover.inform.trust.ifmapj.messages.ResultFactory;
import de.fhhannover.inform.trust.ifmapj.messages.ResultFactoryImpl;
import de.fhhannover.inform.trust.ifmapj.messages.SearchResult;

/**
 * Trivial tests for class {@link PollResult}.
 * 
 * @author ibente
 * 
 */
public class PollResultTest {
	
	private ResultFactory rF = new ResultFactoryImpl();

	@Test
	public void testpollResult() {
		PollResult pr = rF.createPollRes(
				new LinkedList<SearchResult>(),
				new LinkedList<SearchResult>(),
				new LinkedList<SearchResult>(),
				new LinkedList<SearchResult>(),
				new LinkedList<IfmapErrorResult>());
		
		assertNotNull(pr.getDeleteResults());
		assertNotNull(pr.getErrorResults());
		assertNotNull(pr.getNotifyResults());
		assertNotNull(pr.getSearchResults());
		assertNotNull(pr.getUpdateResults());
	}
}
