package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;
import java.util.List;

public interface RequestFactory {
	
	public PublishRequest createPublishReq();
	
	public PublishRequest createPublishReq(PublishElement el);
	
	public PublishRequest createPublishReq(Collection<PublishElement> list);
	
	public PublishUpdate createPublishUpdate();
	
	public PublishDelete createPublishDelete();
	
	public PublishNotify createPublishNotify();
	
	public SubscribeRequest createSubscribeReq();
	
	public SubscribeRequest createSubscribeReq(SubscribeElement el);
	
	public SubscribeRequest createSubscribeReq(List<SubscribeElement> list);
	
	public SubscribeUpdate createSubscribeUpdate();
	
	public SubscribeDelete createSubscribeDelete();
	
	public SearchRequest createSearchRequest();

}
