package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * This is just a marker interface to indicate an implementation can
 * be used to fill a {@link SubscribeRequest}.
 * 
 * @author aw
 *
 */
public interface SubscribeElement {
	
	/**
	 * @return the name of the subscription
	 */
	public String getName();
	
	/**
	 * @param name the name of the subscription.
	 * @throws NullPointerException if name is null.
	 */
	public void setName(String name);
}
