package de.fhhannover.inform.trust.ifmapj;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.net.URL;
import java.util.Scanner;

import org.junit.Test;

/**
 * Test that I needed in order to figure out how maven resources can be
 * accessed during testing.
 * 
 * @author ibente
 *
 */
public class AccessResourcesTest {

	@Test
	public void testKeystore() {
		log("Reading from file.");
		StringBuilder text = new StringBuilder();
		String NL = System.getProperty("line.separator");
		Scanner scanner;
		URL url = this.getClass().getResource(Config.getInstance().TRUST_STORE_PATH);
		if(url == null) log("url is null");
		try {
			scanner = new Scanner(new FileInputStream(url.getFile()));
			while (scanner.hasNextLine()) {
				text.append(scanner.nextLine() + NL);
			}
			scanner.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		
//		log("Text read in: " + text);
	}

	private void log(String aMessage) {
		System.out.println(aMessage);
	}
}
